Patchwork [v2] subversion: Add patch to use neon 0.30

login
register
mail settings
Submitter Cristian Iorga
Date Aug. 7, 2013, 8:26 a.m.
Message ID <969F26A8BAB325438E7EB80D3C3134FB16C12CDE@IRSMSX105.ger.corp.intel.com>
Download mbox | patch
Permalink /patch/55247/
State New
Headers show

Comments

Cristian Iorga - Aug. 7, 2013, 8:26 a.m.
ACK.

-----Original Message-----
From: Saul Wold [mailto:sgw@linux.intel.com] 
Sent: Tuesday, August 06, 2013 11:55 PM
To: richard.purdie@linuxfoundation.org; openembedded-core@lists.openembedded.org
Cc: Iorga, Cristian
Subject: [PATCH v2] subversion: Add patch to use neon 0.30

The neon update is not recognized but subversion, so we need to patch the configure.ac to know about 0.30, otherwise we don't have http/https support in subversion.

v2: Add patch header (doh!)

Signed-off-by: Saul Wold <sgw@linux.intel.com>
---
 .../subversion-1.7.10/allow-updated-neon.patch       | 20 ++++++++++++++++++++
 .../recipes-devtools/subversion/subversion_1.7.10.bb |  1 +
 2 files changed, 21 insertions(+)
 create mode 100644 meta/recipes-devtools/subversion/subversion-1.7.10/allow-updated-neon.patch

diff --git a/meta/recipes-devtools/subversion/subversion-1.7.10/allow-updated-neon.patch b/meta/recipes-devtools/subversion/subversion-1.7.10/allow-updated-neon.patch
new file mode 100644
index 0000000..e8acb12
--- /dev/null
+++ b/meta/recipes-devtools/subversion/subversion-1.7.10/allow-updated-n
+++ eon.patch
@@ -0,0 +1,20 @@
+
+Allow neon 0.30 to be usable also
+
+Upstream-Status: Pending
+
+Signed-off-by: Saul Wold <sgw@linux.intel.com>
+
+Index: subversion-1.7.10/configure.ac
+===================================================================
+--- subversion-1.7.10.orig/configure.ac
++++ subversion-1.7.10/configure.ac
+@@ -118,7 +118,7 @@ AC_PATH_PROG(PKG_CONFIG, pkg-config)
+ 
+ # Either a space-separated list of allowable Neon versions, or "any" 
+to  # mean allow anything.
+-NEON_ALLOWED_LIST="0\.25 0\.26 0\.27\.2 0\.28 0\.29"
++NEON_ALLOWED_LIST="0\.25 0\.26 0\.27\.2 0\.28 0\.29 0\.30"
+ NEON_RECOMMENDED_VER="0.29.6"
+ NEON_URL="http://www.webdav.org/neon/neon-${NEON_RECOMMENDED_VER}.tar.gz"
+ dnl You can skip the neon version check only if you know what you are 
+ doing
--
1.8.1.4

Patch

diff --git a/meta/recipes-devtools/subversion/subversion_1.7.10.bb b/meta/recipes-devtools/subversion/subversion_1.7.10.bb
index a24edb5..f77656b 100644
--- a/meta/recipes-devtools/subversion/subversion_1.7.10.bb
+++ b/meta/recipes-devtools/subversion/subversion_1.7.10.bb
@@ -12,6 +12,7 @@  inherit gettext
 SRC_URI = "${APACHE_MIRROR}/${BPN}/${BPN}-${PV}.tar.bz2 \
            file://libtool2.patch \
            file://fix-install-depends.patch \
+           file://allow-updated-neon.patch \
 "
 SRC_URI[md5sum] = "4088a77e14232876c9b4ff1541e6e200"
 SRC_URI[sha256sum] = "c1df222bec83d014d17785e2ceba6bc80962f64b280967de0285836d8d77a8e7"